package Reaper::Test;
use Test::Base -Base;
use DateTime;
use DateTime::TimeZone::Tzfile;
use Log::Log4perl;

our @EXPORT = qw(today_time);

Log::Log4perl->init( \q(
  log4perl.rootLogger=WARN, Screen
  log4perl.appender.Screen = Log::Log4perl::Appender::Screen
  log4perl.appender.Screen.stderr = 1
  log4perl.appender.Screen.layout = PatternLayout
  log4perl.appender.Screen.layout.ConversionPattern = %d [%p] %m%n
));

# Return a DateTime for today with the given time
sub today_time
{
  my ($hh, $mi) = @_;
  croak "Missing \$hh and \$mi arguments to today_time" unless defined $hh && defined $mi;
  my $tz = DateTime::TimeZone::Tzfile->new('/etc/localtime');
  my $now = DateTime->now(time_zone => $tz);
  return DateTime->new( 
    year => $now->year,
    month => $now->month,
    day => $now->day,
    time_zone => $tz,
    hour => $hh, 
    minute => $mi
  );
}

1;
